%define momorel 3
%define lynx_version	2.8.4
%define lynx_release	%{lynx_version}rel.1
%define patch_level	c

Summary: A text-based Web browser.
Name: lynx
Version: %{lynx_release}%{patch_level}
Release: %{momorel}m
License: GPL
Group: Applications/Internet
Source0: http://lynx.isc.org/current/lynx%{lynx_release}.tar.bz2
Patch0: ftp://lynx.isc.org/lynx/lynx%{lynx_version}/patches/lynx%{lynx_release}a.patch
Patch1: ftp://lynx.isc.org/lynx/lynx%{lynx_version}/patches/lynx%{lynx_release}b.patch
Patch2: ftp://lynx.isc.org/lynx/lynx%{lynx_version}/patches/lynx%{lynx_release}c.patch
Patch6: lynx2-8-4-format.patch
Patch10: lynx2-8-4-config.patch
Patch12: lynx2-8-2-telnet.patch
Patch14: lynx2-8-4-charset.patch
Patch15: lynx2-8-3-fhs.patch
Patch16: lynx2-8-4-UTF8.patch
URL: http://lynx.browser.org/
Requires: indexhtml
Provides: webclient
BuildPrereq: slang-devel
BuildPrereq: zlib-devel
BuildPrereq: openssl-devel
Prereq: slang
Prereq: zlib
Prereq: openssl
BuildRoot: %{_tmppath}/%{name}-%{version}-root

NoSource: 0

%description
Lynx is a text-based Web browser. Lynx does not display any images,
but it does support frames, tables and most other HTML tags. Lynx's
advantage over graphical browsers is its speed: Lynx starts and exits
quickly and swiftly displays Web pages.

Install lynx if you would like to try this fast, non-graphical browser
(you may come to appreciate its strengths).

%prep
%setup -q -n lynx2-8-4
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch6 -p1 -b .format~
%patch10 -p0 -b .config~
%patch12 -p1 -b .telnet~
%patch14 -p0 -b .charset~
%patch15 -p1 -b .fhs~
%patch16 -p1 -b UTF8~

mv lynx.cfg lynx.cfg.in

%build
CFLAGS="%{optflags}" ./configure --prefix=/usr --libdir=/etc \
	--mandir=%{_mandir} --infodir=%{_infodir} \
	--with-screen=slang --enable-warnings \
	--enable-default-colors --enable-externs \
	--enable-internal-links --enable-nsl-fork \
	--enable-persistent-cookies --enable-prettysrc \
	--enable-font-switch --enable-source-cache \
	--with-zlib --enable-nls --with-included-gettext \
	--with-ssl
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
sed 's,@@__VERSION__@@,%{version},; s,@@__DOCDIR__@@,%{_docdir},' lynx.cfg.in > lynx.cfg
make install prefix=%{buildroot}/usr libdir=%{buildroot}/etc \
	mandir=%{buildroot}%{_mandir}/man1 infodir=%{buildroot}%{_infodir}
strip %{buildroot}/usr/bin/lynx

mkdir -p %{buildroot}/etc/X11/applnk/Internet
cat > %{buildroot}/etc/X11/applnk/Internet/lynx.desktop <<EOF
[Desktop Entry]
Name=Lynx
Type=Application
Comment=Text based WWW browser
Exec=lynx
Terminal=true
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc docs README INSTALLATION samples
%doc test lynx.hlp lynx_help
%config(missingok) /etc/X11/applnk/Internet/lynx.desktop
/usr/bin/lynx
%{_mandir}/man1/lynx.1*
/usr/share/locale/*/*/*
%config /etc/lynx.cfg

%changelog
* Wed May 14 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.8.4rel.1c-3m)
- rebuild against slang(utf8 version)
    change variable name UTF8 to UTF_8
- use %%{?_smp_mflags}

* Sat Mar  8 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.8.4rel.1c-2m)
  rebuild against openssl 0.9.7a

* Mon Aug 26 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (2.8.4rel.1c-1m)
- [security] Update to 2.8.4rel.1c.
  This patch fixes the "Lynx CRLF Injection". See
    http://online.securityfocus.com/archive/1/288054
    http://online.securityfocus.com/archive/1/288620
  for details.
- Change patch site to ftp://lynx.isc.org/lynx/lynx2.8.4/patches/.
  The patches on this site are slightly different from previous ones.

* Sun Dec 30 2001 WATABE Toyokazu <toy2@kondara.org>
- (2.8.4rel.1b-4k)
- fix a format string vulnerability.
  http://archives.neohapsis.com/archives/bugtraq/2001-12/0276.html

* Sat Dec 29 2001 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (2.8.4rel.1b-2k)
- update to 2.8.4rel.1b
- enable ssl
- fix lynx.cfg 
  (move lynx2-8-3-redhat.patch to lynx2-8-4-config.patch, and
   move lynx2-8-2-vine.patch to lynx2-8-4-charset.patch)

* Mon Dec 03 2001 Motonobu Ichimura <famao@kondara.org>
- (2.8.4rel.1-6k)
- many stuff

* Mon Dec 03 2001 Motonobu Ichimura <famao@kondara.org>
- (2.8.4rel.1-4k)
- modify ja.po

* Wed Nov  7 2001 Shingo Akagaki <dora@kondara.org>
- (2.8.4rel.1-2k)
- version 2.8.4rel.1

* Thu Oct 18 2001 Toru Hoshina <t@kondara.org>
- (2.8.3-12k)
- rebuild against gettext 0.10.40.

* Tue Aug  7 2001 Toru Hoshina <toru@df-usa.com>
- (2.8.3-10k)
- no more ifarch alpha.

* Sat Dec  2 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.8.3-8k)
- modified spec file with macor for compatibility

* Sun Aug 27 2000 Kenichi Matsubara <m@kondara.org>
- Change PATH (FHS).

* Fri Jul 07 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Mon Nov 11 1999 Norihito Ohmori <nono@kondara.org>
- be a NoSrc :-P
- added ja.po (imcomplete).
- use kterm in lynx.wmconfig
- added Japanese summary and description
- change for Vine
- change default CHARSET to Japanese(EUC).

* Wed Nov  3 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix compliance with RFCs describing FTP.
  We can now connect to wu-ftpd >= 2.6.0 based servers.
  
* Wed Aug 25 1999 Bill Nottingham <notting@redhat.com>
- fix path to help file.
- turn off font switching
- disable args to telnet.


* Tue Jun 15 1999 Bill Nottingham <notting@redhat.com>
- update to 2.8.2

* Mon Mar 29 1999 Bill Nottingham <notting@redhat.com>
- apply some update patches from the lynx folks
- set user's TEMP dir to their home dir to avoid /tmp races

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 10)

* Wed Feb 24 1999 Bill Nottingham <notting@redhat.com>
- return of wmconfig

* Mon Nov 30 1998 Bill Nottingham <notting@redhat.com>
- create cookie file 0600

* Fri Nov  6 1998 Bill Nottingham <notting@redhat.com>
- update to 2.8.1rel2

* Thu Oct 29 1998 Bill Nottingham <notting@redhat.com>
- build for Raw Hide (slang-1.2.2)

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- 2.8.1pre9
- strip binaries

* Mon Oct 05 1998 Cristian Gafton <gafton@redhat.com>
- updated to lynx2.8.1pre.7.tar.gz

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon May 04 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 2.8rel3
- fixed mailto: buffer overflow (used Alan's patch)

* Fri Mar 20 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.8
- added buildroot

* Tue Jan 13 1998 Erik Troan <ewt@redhat.com>
- updated to 2.7.2
- enabled lynxcgi

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- updated from 2.6 to 2.7.1
- moved /usr/lib/lynx.cfg to /etc/lynx.cfg
- build with slang instead of ncurses
- made default startup file be file:/usr/doc/HTML/index.html

